WSToObjectConditionsConverter
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.util
Class WSToObjectConditionsConverter

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.util.WSToObjectConditionsConverter

    public class WSToObjectConditionsConverter

extends java.lang.Object

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`WSToObjectConditionsConverter()`

Method Summary
`static AndCondition` | `convertToAndCondition(WSAndCondition condition)`
`static BooleanPropertyValueCondition` | `convertToBooleanPropertyValueCondition(WSBooleanPropertyValueCondition condition)`
`static NotCondition` | `convertToNotCondition(WSNotCondition condition)`
`static OrCondition` | `convertToOrCondition(WSOrCondition condition)`
`static PropertyCondition` | `convertToPropertyCondition(WSPropertyCondition condition)`
`static PropertyExistenceCondition` | `convertToPropertyExistenceCondition(WSPropertyExistenceCondition condition)`
`static StringPropertyValueCondition` | `convertToStringPropertyValueCondition(WSStringPropertyValueCondition condition)`
`static TimeInMillisecondsPropertyValueBetweenCondition` | `convertToTimeInMillisecondsPropertyValueBetweenCondition(WSTimeInMillisecondsPropertyValueBetweenCondition condition)`
`static TimeInMillisecondsPropertyValueCondition` | `convertToTimeInMillisecondsPropertyValueCondition(WSTimeInMillisecondsPropertyValueCondition condition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSToObjectConditionsConverter

    public WSToObjectConditionsConverter()

Method Detail

### convertToPropertyCondition

    public static PropertyCondition convertToPropertyCondition(WSPropertyCondition condition)

### convertToStringPropertyValueCondition

    public static StringPropertyValueCondition convertToStringPropertyValueCondition(WSStringPropertyValueCondition condition)

### convertToBooleanPropertyValueCondition

    public static BooleanPropertyValueCondition convertToBooleanPropertyValueCondition(WSBooleanPropertyValueCondition condition)

### convertToTimeInMillisecondsPropertyValueCondition

    public static TimeInMillisecondsPropertyValueCondition convertToTimeInMillisecondsPropertyValueCondition(WSTimeInMillisecondsPropertyValueCondition condition)

### convertToTimeInMillisecondsPropertyValueBetweenCondition

    public static TimeInMillisecondsPropertyValueBetweenCondition convertToTimeInMillisecondsPropertyValueBetweenCondition(WSTimeInMillisecondsPropertyValueBetweenCondition condition)

### convertToPropertyExistenceCondition

    public static PropertyExistenceCondition convertToPropertyExistenceCondition(WSPropertyExistenceCondition condition)

### convertToAndCondition

    public static AndCondition convertToAndCondition(WSAndCondition condition)

### convertToOrCondition

    public static OrCondition convertToOrCondition(WSOrCondition condition)

### convertToNotCondition

    public static NotCondition convertToNotCondition(WSNotCondition condition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD